#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long n;
    double k, maks = 0;
    cin >> n;
    vector <double> p;
    vector <long long> a;

    for (int i = 0 ; i < n ; i++)
    {
        cin >> k;
        a.push_back(k);
        cin >> k;
        p.push_back(k);
    }

    for (int i = 0 ; i < n ; i++)
    {
        double suma = 0;
        for (int j = 0; j < n ; j++)
            if(p[i] <= p[j]) suma += a[j];
        if (suma * p[i] / 100.0 > maks) maks = suma * p[i] / 100.0;
    }
    if (int(maks)* 2 + 1 == maks * 2)
        maks += 0.5;
    printf("%f" , maks);
}